TasksDelete a charge

Delete a charge

Needs: Tasks, Read-write

Deletes a task charge. Billed charges cannot be deleted. Confirm before calling this.

curl -X DELETE "https://app.imploy.com.au/api/integrations/v1/task-charges/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "deleted": 7,
  "data": {
    "id": 90,
    "title": "Review care plan",
    "date": "2026-03-02",
    "client": {
      "id": 12,
      "name": "Example Client"
    },
    "assignee": {
      "id": 40,
      "name": "Example Admin"
    },
    "minutes": 30,
    "price_code": 301,
    "charge": "Care management",
    "billable": true,
    "completed": false,
    "charges": [],
    "can_edit": true
  }
}
DELETE
/task-charges/{id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The charge id.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The charge id.

Responses

OK